Bug 142958 - CAN-2004-1137 IGMP flaws
CAN-2004-1137 IGMP flaws
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
impact=important,public=20041214
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-15 08:00 EST by Josh Bressers
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 23:30:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-12-15 08:00:43 EST
isec.pl reported to vendor-sec some flaws in igmp handling which could
allow a
local user to cause a kernel deadlock or crash.  They also say it's
likely that
you could gain privileges using this flaw.  Looks like only 2.4.22 and
above are
affected, however RHEL3 is vulnerable due to a backport of the code in
linux-2.4.21-igmpv3.patch  

Patch available in bug 142670


This issue does have the potential to be remotely exploitable.

From the advisory

(3) The igmp_marksources() function from the network module is called
in the context of an IGMP group query received from the network and
suffers from  an  out  of bound read access to kernel memory. It
happens because the received IGMP message's parameters are not
validated properly.  This flaw is remotely exploitable on Linux
machines with multicasting support if and only if an application has
bound a multicast socket.

This is not a terribly common situation, so it won't alter the
severity of the issue.
Comment 1 Josh Bressers 2004-12-15 08:01:27 EST
This issue should also affect FC2
Comment 2 Dave Jones 2005-01-10 23:30:12 EST
fixed in latest updates (or actually, I think it was in the previous ones..)

Note You need to log in before you can comment on or make changes to this bug.